aboutsummaryrefslogtreecommitdiff
path: root/scripts/git
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/git')
-rwxr-xr-xscripts/git/git-push-all.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/git/git-push-all.sh b/scripts/git/git-push-all.sh
index 4738658f1d..293df03423 100755
--- a/scripts/git/git-push-all.sh
+++ b/scripts/git/git-push-all.sh
@@ -251,7 +251,8 @@ if [ "$PUSH_SAME" -eq 0 ]; then
PUSH_COMMIT=$(git rev-parse "$b")
SKIP_UPSTREAM=
for u in $UPSTREAM_SKIP_SAME_AS; do
- UPSTREAM_COMMIT=$(git rev-parse "$u")
+ # Skip the branch check on error
+ UPSTREAM_COMMIT=$(git rev-parse "$u" 2>/dev/null) || continue
if [ "$PUSH_COMMIT" = "$UPSTREAM_COMMIT" ]; then
SKIP_UPSTREAM="$u"
fi